Linux Kernelの脆弱性(CVE-2018-8822) — | サイオスOSS | サイオステクノロジー

Linux Kernelの脆弱性(CVE-2018-8822) — | サイオスOSS | サイオステクノロジー

現在位置: ホーム / セキュリティ ブログ / Linux Kernelの脆弱性(CVE-2018-8822)
 

Linux Kernelの脆弱性(CVE-2018-8822)

03/20/2018にLinux Kernelの脆弱性情報(CVE-2018-8822)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。
 


こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

03/20/2018にLinux Kernelの脆弱性情報(CVE-2018-8822)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-8822
    • Kernelのクラッシュ又はコード実行の可能性

    • 重要度 - Moderate

    • Linux Kernelの、fs/ncpfs/ncplib_kernel.c中(4.15.11まで) / drivers/staging/ncpfs/ncplib_kernel.c (4.16-rc6まで)の、ncp_read_kernel()関数には、バッファー長の取扱の誤りがあり、悪意のあるNCPFSサーバによりカーネルがクラッシュしたりコードを実行される可能性があります。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-8822

セキュリティ系連載案内

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン

----- EXTENDED BODY:

前へ

Linux Kernelの脆弱性(CVE-2017-16939) — | サイオスOSS | サイオステクノロジー

次へ

Oracle Javaの脆弱性(Oracle Critical Patch Update Advisory - January 2017) — | サイオスOSS | サイオステクノロジー